const TreeNode = require('../TreeNode');
const AICalc = require('../AICalc');

const Q_how_many_nearby_enemies_BASE = function (actor, battleState, altNode) {
  const node = new TreeNode(actor, battleState, altNode);

  // branch indexes
  node.ZERO = 0;

  node.calculateNearbyEnemies = function (defineNearby) {
    if (!this.battleState) {
      return 0;
    } else {
      var nearbyEnemies = AICalc.getNearbyUnits(
        this.actor,
        this.battleState.getEnemiesOfUnit(this.actor),
        defineNearby
      );
      return nearbyEnemies.length;
    }
  };

  return node;
};
module.exports = Q_how_many_nearby_enemies_BASE;
