const PixieDustSpawnEvent = function(battleState) {
  this.eventHandle = 'pd_spawn';

  this.execute = (tile, amount) => {
    this.tileId = tile.uid;

    if (tile.loot) {
      if (tile.loot.pd) {
        tile.loot.pd += amount;
      } else {
        tile.loot.pd = amount;
      }
    } else {
      tile.loot = {
        pd: amount,
      };
    }

    this.affectedPieces = [tile];
    battleState.onBattleEvent(this);
  };
};
module.exports = PixieDustSpawnEvent;
