package gameItems.equipment.mods.prefixes {
	/**
	 * ...
	 * @author Robert Lombardo, Wakefield Studios ( rob@wakefield-studios.com )
	 */
	public class Lucky extends EquipmentPrefix 
	{
		public static const DROP_CHANCE_MODIFIER:Number = 1;
		
		public function Lucky() 
		{
			_name = "Lucky";
			
			super();
			
			_displayRef[GameObject.BLURB] = "+2% loot drops"; // we say '2' because the 1% bonus will apply to separate rolls for items as well as gems
		}
		
		override public function get gemsValue():int 
		{
			return 500;
		}
		
	}
}