const heroBase = require('../models/game_state/heroes');

const generateStarterEquipmentAndBags = hero_handle => {
  const starter_equipment = heroBase[hero_handle].getStarterEquipment();
  const starter_equipment_list = Object.values(starter_equipment);
  const starter_bags = [
    {
      // TODO(@robertlombardo): add new item type, use ItemGenerator
      slot: 'item_container',
      type: 'bag',
      quality: 0.2,
      size: 10,
      items: [null, null, null, null, null, null, null, null, null, null],
    },
  ];
  for (let i = 0; i < starter_bags[0].size; ++i) {
    starter_bags[0].items[i] = starter_equipment_list[i] || null;
  }

  return { starter_equipment, starter_bags };
};
module.exports = generateStarterEquipmentAndBags;
