const getAltarState = require('./getAltarState')
const getBattleLog = require('./getBattleLog')
const getCavernsData = require('./getCavernsData')
const getCompetitionData = require('./getCompetitionData')
const getHeroRoster = require('./getHeroRoster')
const getLeaderboardEntries = require('./getLeaderboardEntries');
const getLoadouts = require('./getLoadouts');
const getPlayerInventory = require('./getPlayerInventory')
const getPlayerLocation = require('./getPlayerLocation')
const getPlayerSocialData = require('./getPlayerSocialData')
const getShopInventory = require('./getShopInventory')
const getTeamForMatchType = require('./getTeamForMatchType')
const saveCavernsData = require('./saveCavernsData')
const setPlayerLocation = require('./setPlayerLocation')

module.exports = {
  getAltarState,
  getBattleLog,
  getCavernsData,
  getCompetitionData,
  getHeroRoster,
  getLeaderboardEntries,
  getLoadouts,
  getPlayerInventory,
  getPlayerLocation,
  getPlayerSocialData,
  getShopInventory,
  getTeamForMatchType,
  saveCavernsData,
  setPlayerLocation
}
